gr::ieee802_15_4::uc_connection Class Reference

`#include <uc_connection.h>`

Inheritance diagram for gr::ieee802_15_4::uc_connection:
[legend]

## Public Member Functions

| uc_connection (rime_stack *block, uint16_t channel, pmt::pmt_t inport, pmt::pmt_t outport, const uint8_t rime_add_mine[2])
void | pack (pmt::pmt_t msg)
void | unpack (pmt::pmt_t msg)
Public Member Functions inherited from gr::ieee802_15_4::rime_connection
| rime_connection (rime_stack *block, uint16_t channel, pmt::pmt_t inport, pmt::pmt_t outport, const uint8_t rime_add_mine[2])
virtual | ~rime_connection ()
virtual void | pack (pmt::pmt_t msg)=0
virtual void | unpack (pmt::pmt_t msg)=0
uint16_t | channel () const

## Static Public Member Functions

static std::array< uint8_t, 256 > | make_msgbuf (uint16_t channel, const uint8_t src[2], const uint8_t dest[2])
static bool | rime_add_from_string (std::string &to_parse, uint8_t addr[2])
Static Public Member Functions inherited from gr::ieee802_15_4::rime_connection
static std::string | msg_to_string (pmt::pmt_t msg)

## Additional Inherited Members

Protected Attributes inherited from gr::ieee802_15_4::rime_connection
rime_stack * | d_block
uint16_t | d_channel
pmt::pmt_t | d_inport
pmt::pmt_t | d_outport
pmt::pmt_t | d_mac_outport
uint8_t | d_rime_add_mine [2]

## Constructor & Destructor Documentation

## uc_connection()

gr::ieee802_15_4::uc_connection::uc_connection | ( | rime_stack * | block,
|  | uint16_t | channel,
|  | pmt::pmt_t | inport,
|  | pmt::pmt_t | outport,
|  | const uint8_t | rime_add_mine[2]
| ) |  |

## Member Function Documentation

## make_msgbuf()

static std::array< uint8_t, 256 > gr::ieee802_15_4::uc_connection::make_msgbuf | ( | uint16_t | channel,
|  | const uint8_t | src[2],
|  | const uint8_t | dest[2]
| ) |  |

static

## pack()

void gr::ieee802_15_4::uc_connection::pack | ( | pmt::pmt_t | msg | ) |

virtual

Implements gr::ieee802_15_4::rime_connection.

## rime_add_from_string()

static bool gr::ieee802_15_4::uc_connection::rime_add_from_string | ( | std::string & | to_parse,
|  | uint8_t | addr[2]
| ) |  |

static

## unpack()

void gr::ieee802_15_4::uc_connection::unpack | ( | pmt::pmt_t | msg | ) |

virtual

Implements gr::ieee802_15_4::rime_connection.

The documentation for this class was generated from the following file:

- uc_connection.h